import 'package:flutter/material.dart';

class ConjugationMetaDataCard extends StatelessWidget {
  final String infinitive;
  final String translation;
  final String mode;
  final String tense;

  const ConjugationMetaDataCard(
      {Key? key,
      required this.infinitive,
      required this.translation,
      required this.mode,
      required this.tense})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Card(
      margin: const EdgeInsets.fromLTRB(40, 20, 40, 20),
      elevation: 15,
      child: ListTile(
        title: Row(
          children: [
            SizedBox(
              width: labelWidth(context),
              child: const Text(
                'werkwoord',
                textAlign: TextAlign.left,
              ),
            ),
            const Text(
              ' : ',
              textAlign: TextAlign.left,
            ),
            Text(
              infinitive,
              textAlign: TextAlign.left,
            ),
          ],
        ),
        subtitle: Column(
          children: [
            Row(children: [
              SizedBox(
                  width: labelWidth(context),
                  child: const Text('vertaling', textAlign: TextAlign.left)),
              const Text(' : ', textAlign: TextAlign.left),
              Text(translation, textAlign: TextAlign.left),
            ]),
            Row(
              children: [
                SizedBox(
                    width: labelWidth(context),
                    child: const Text('modus', textAlign: TextAlign.left)),
                const Text(' : ', textAlign: TextAlign.left),
                Text(mode, textAlign: TextAlign.left),
              ],
            ),
            Row(
              children: [
                SizedBox(
                    width: labelWidth(context),
                    child: const Text('tijd', textAlign: TextAlign.left)),
                const Text(' : ', textAlign: TextAlign.left),
                Text(
                  tense,
                  textAlign: TextAlign.left,
                  overflow: TextOverflow.ellipsis,
                ),
              ],
            ),
          ],
        ),
      ),
    );
  }

  double labelWidth(BuildContext context) =>
      MediaQuery.of(context).size.width * 0.38;
}
